#
# spec file for package ghc-writer-cps-transformers
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name writer-cps-transformers
Name:           ghc-%{pkg_name}
Version:        0.1.1.3
Release:        8.9
Summary:        WriteT and RWST monad transformers
License:        BSD-3-Clause
Group:          Development/Libraries/Haskell
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-transformers-devel

%description
The WriterT and RWST monad transformers provided by writer-cps-transformers are
written in continuation passing style and avoid the space-leak problem of the
traditional Control.Monad.Trans.Writer.Strict and
Control.Monad.Trans.Writer.Lazy. The corresponding MTL class instances are in
the package writer-cps-mtl
(<http://hackage.haskell.org/package/writer-cps-mtl>).

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Haskell
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library
development files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%doc LICENSE

%files devel -f %{name}-devel.files

%changelog
* Thu Aug  3 2017 psimons@suse.com
- Updated with latest spec-cleaner version 0.9.8-8-geadfbbf.
* Wed May  3 2017 psimons@suse.com
- Update to version 0.1.1.3 with cabal2obs.
* Thu Jan 26 2017 psimons@suse.com
- Update to version 0.1.1.2 with cabal2obs.
* Tue Nov 29 2016 psimons@suse.com
- Update to version 0.1.1.0 with cabal2obs.
* Thu Sep 15 2016 psimons@suse.com
- Update to version 0.1.0.2 revision 1 with cabal2obs.
